KSIC = ../../xgcc -B../../ -g

all: 
	$(KSIC) test.ksi
	@echo
	@./a.out
	@echo
	$(KSIC) -O3 test.ksi
	@echo
	@./a.out
	@echo
	@rm -f a.out test.s
	@echo -n 'testing kpp... '
	@$(KSIC) -xksi -E - < test.kpp > foo.bar
	@grep -q 'ksi_version=1' foo.bar
	@rm foo.bar
	@$(KSIC) -xksi -E test.kpp -o foo.bar
	@grep -q 'ksi_version=1' foo.bar
	@rm foo.bar
	@echo done
